Manual:Upgrading to 1.8/fr

From MediaWiki.org
Jump to: navigation, search


Download icon
Télécharger un package
Version stable
Anciennes versions
Version Alpha

Plus

Les développeurs de MediaWiki sont des abeilles affairées :-) MediaWiki 1.8 est disponible et apporte de nouvelles fonctionnalités sympas, chouette ! Et vous faites toujours tourner une ancienne version ? Alors comment commencer la mise à jour ?

Ce guide devrait aider les utilisateurs de la version 1.7 à migrer vers MediaWiki 1.8 en douceur. Il marchera aussi pour les utilisateurs de la branche obsolète 1.6.

Présentation[edit | edit source]

Tout d'abord, lisez le fichier texte de mise à jour inclus dans MediaWiki 1.8.

Comme avec toutes les mises à jour MediaWiki, les prémisses de base sont les mêmes :

  1. Vérifier les exigences
  2. Lire les notes de version
  3. Sauvegarder les fichiers existants et la base de donnée
  4. Déballer les nouveaux fichiers
  5. Lancer le script de mise à jour pour vérifier la base de donnée
  6. Mettre à niveau les extensions
  7. Tester la mise à jour

Vérifier les exigences[edit | edit source]

MediaWiki 1.8 a besoin de :

  • PHP 5.0 ou plus (5.1 recommandé)
    PHP 4 n'est plus supporté depuis 1.7
  • MySQL 4.0 ou plus
    MySQL 3.x n'est plus supporté depuis 1.6

Lire les notes de version (RELEASE-NOTES)[edit | edit source]

Dans le tarball de la distribution, ou dans les fichiers en check out ou exportés de SVN, il y a un certain nombre de fichiers dont le nom est en majuscule, dont un fichier RELEASE-NOTES. Il est temps de l'ouvrir et de regarder ce qui a changé en 1.8.

Sauvegarder les fichiers existants et la base de donnée[edit | edit source]

Tant que les scripts de mise à jours sont correctement maintenus et robustes, les choses pourraient se barrer en sucette. Avant de procéder à la mise à jour du schéma de base de donnée, faire une sauvegarde complète du wiki, en incluant la base de donnée et les fichiers.

La base de donnée[edit | edit source]

Faire une sauvegarde complète de la base de données wiki avant de s'essayer à lancer les scripts de mise à jour dessus. Ceci sert de précaution de base si la mise à jour du schéma échoue, laissant les enregistrements dans un état défectueux ou corrompu. Il y a un certain nombre d'utilitaires pour faire cela, tel que MySQL dump, qui est fourni avec le software MySQL.

Paramètres[edit | edit source]

Faire une copie de votre fichier LocalSettings.php, qui contient les détails de configuration de base et les personnalisations que vous pouvez avoir apporté au comportement de MediaWiki.

Fichiers copiés sur le serveur[edit | edit source]

Si les upload sont activés sur le wiki, vous aurez aussi besoin de sauvegarder le répertoire de téléchargement. Par défaut, c'est le répertoire images, bien que le chemin vers celui-ci ait pu être changé dans LocalSettings.php.

Extensions et apparences personnalisées (skin)[edit | edit source]

Prendre une copies du répertoire extensions, et de tout fichier ou répertoire contenant une personnalisation d'apparence (skin).

Déballer les nouveaux fichiers[edit | edit source]

Si vous utilisez un paquetage tarball téléchargé sur SourceForge, le décompresser ; exporter les fichiers dans un endroit clean. Remplacer tous les fichiers existants avec ceux de la version 1.8, en conservant la structure des répertoires. Le code du noyau est maintenant à jour.

Lancer le script de mise à jour[edit | edit source]

Note: S'assurer qu'il y a un fichier AdminSettings.php à la racine du wiki, et que les informations qu'il contient sont à jour. L'utilisateur a besoin de tous les droits sur la base de données.

La méthode conseillée pour réaliser la mise à jour est d'utiliser le script de mise à jour en ligne de commande, cependant, il est aussi possible de relancer l'installeur web.

Shell[edit | edit source]

Depuis la ligne de commande, un shell SSH ou autre, entrer dans le répertoire maintenance et exécuter le script de mise à jour :

$ php update.php

MediaWiki inspectera le schéma existant et le mettra à jour de manière à fonctionner avec le nouveau code. En cas de mise à jour à partir d'une 1.5.x, une fois terminée, il est conseillé de lancer le script refreshLinks.php pour mettre à jour la table des liens.

Alternative : phpShell[edit | edit source]

Si l'accès au shell n'est pas disponible, envisager des options telles que phpShell, qui émule une invite de commande en utilisant des fonctions PHP. Ceci peut ne pas fonctionner sur certaines installations d'hébergement verrouillées.

En utilisant une solution pareille, il est souvent préférable de sauter le compte à rebours au début du script. Passer l'option --quick au script de mise à jour de cette manière :

$ php update.php --quick

Relancer l'installeur[edit | edit source]

Une alternative au lancement du script de mise à jour à partir du shell est de relancer l'installeur web. Pour cela :

  1. Renommer LocalSettings.php en LocalSettings.php.old
  2. Rendre le répertoire config modifiable par le serveur web
  3. Parcourir le wiki et démarrer l'installeur

Remplir les champs du formulaire avec les mêmes valeurs que lors de l'installation de la version précédente. Quand la procédure d'installation commence, le script détecte les tables MediaWiki existantes, et mettre à jour leur schéma. Quand c'est terminé, un nouveau fichier LocalSettings.php est généré.

  1. Supprimer le nouveau fichier de configuration
  2. Renommer LocalSettings.php.old vers LocalSettings.php
  3. Restaurer les droits sur le répertoire config

Mettre à niveau les extensions[edit | edit source]

Certaines extensions ont été mise à jour dans le but de fonctionner avec MediaWiki 1.8. S'assurer de faire une mise à niveau des dernières versions de telles extensions. Vous pouvez avoir besoin d'effectuer des mises à jour manuelles pour personnaliser les extensions.

Tester la mise à jour[edit | edit source]

Une fois la mise à jour terminée, parcourir le wiki et faire des vérifications de base comme afficher ou modifier des pages pour s'assurer que les choses fonctionnent comme on pouvait s'y attendre.


Aller sur la page Special:Version et vérifier que la version affichée est correcte.

Langue : English  • Deutsch • français • 日本語 • русский